
textarea {
    min-width: 25%;
}

.navbar .brand {
	margin-left: 0px;
}

.sprite-result {
    display: inline-block;
    width: 32px;
    height: 32px;
}

.container-fluid  {
    padding: 0px;
}

#mainContent>div {
    padding: 8px;
}

#notifyGenericArea {
    margin: auto;
    padding: 0px;
    position: absolute;
    bottom: 3px;
    left: 3px;
    display: none;
}

.modo_row {
    background-color: #f0f0ff;
}

.modo_row_light {
    background-color: #e8e8f8;
}

.clickableCoordinates:not(.btn) {
    display: inline-block;
    border: 1px solid #cecede;
    background-color: #dfdfef;
    padding: 1px;
    border-radius: 2px;
}

.modo_row_clean, .modo_row_clean td, .modo_row_light_clean, .modo_row_light_clean td {
    background-color: #e0ffe0;
}

.classictable {
    margin: auto;
    width: 100%;
    border-collapse: collapse;
    border: 1px solid rgba(0, 0, 0, 0.5);
}

.classictable caption {
    font-weight: bold;
}

.classictable td {
    border: 1px solid rgba(0, 0, 0, 0.5);
    background-color: #ffffff; /* because of jQuery.. */
    color: #000000; /* because of jQuery.. */
}

.classictable thead tr {
    background-color: #000000;
    color: #ffffff;
}

.classictable thead tr.fakeHead {
    background-color: #000000;
    color: #ffffff;
}

.classictable tbody th {
    border: 1px solid rgba(0, 0, 0, 0.5);
    background-color: #ffffff; /* because of jQuery.. */
    color: #000000; /* because of jQuery.. */
}

/* because of jQuery.. OMG JQUERY UI GO BACK LEARN CSS INSTEAD OF HARD-OVERRIDING */
.classictable td a:not(.btn), .classictable tbody th a:not(.btn) {
    color: #0080c0; /* because of jQuery.. */
}

.classictable tbody tr:nth-child(even) {
    background-color: #ffffff;
}

.classictable tbody tr:nth-child(odd) {
    background-color: #e8e8f0;
}

.classictable tbody tr.fakeHead:nth-child(even), .classictable tbody tr.fakeHead:nth-child(odd) {
    background-color: #000000;
    color: #ffffff;
}

.modo-form label {
    display: inline-block;
    width: 200px;
}

.modo-form label.required:after {
    content: " *";
    color: red;
    font-weight: bold;
}

.accessoryTable {
    border-collapse: separate; /* OH MY GOD. I never used it before. */
}

.accessoryTable td {
    border: 3px inset #a0a0a0;
    height: 100px;
    width: 100px;
}

.accessoryTable td.currentlyEquipped {
    border-color: #fad700;
}

fieldset.collapsible legend {
    cursor: pointer;
}

fieldset.collapsible legend:before {
    content: ">";
    transform: rotate(90deg);
    display: inline-block;
    width: 24px;
    height: 24px;
    text-align: center;
    font-size: large;
    font-weight: bold;
    vertical-align: middle;
    margin-left: 12px;
}

ul.list-nobullet {
    margin: auto;
    padding: 0px;
    padding-left: 3px;
}

ul.list-nobullet li {
    margin: auto;
    padding: 0px;
    list-style-type: none;
    list-style-position: inside;
}

textarea.editableContentTextarea:not(:focus) {
    border: none;
    padding: 2px;
}

textarea.editableContentTextarea:focus {
    border: 1px solid #a0a0a0;
    padding: 1px;
}

.itemSpriteDisplay {
    display: inline-block;
    width: 32px;
    height: 32px;
    font-size: 12px;
    font-weight: bold;
    text-align: right;
    vertical-align: bottom;
    background-image: url('https://www.minefield.fr/gui/32x32/sprite.png');
    background-repeat: no-repeat;
    text-shadow: 0px 0px 3px #f8f8f8;
}

.itemSpriteDisplay.negative {
    background-color: #000000;
    opacity: 0.7;
    background-image: url('https://www.minefield.fr/gui/32x32/sprite.png');
    background-repeat: no-repeat;
    text-shadow: 0px 0px 3px #f8f8f8;
}

.recipe {
    display: block;
    margin: 0px;
    padding: 0px;
    text-align: center;
    vertical-align: middle;
}

.recipe.recipe-craftingtable {
    width: 120px;
    height: 120px;
}

.recipe.recipe-furnace {
    width: 36px;
    height: 36px;
}

.recipe .recipeElement {
    display: inline-block;
    margin: 0px;
    padding: 0px;
    border: 2px ridge #808080;
    background-color: #a0a0a0;
    width: 36px;
    height: 36px;
    text-align: center;
    vertical-align: middle;
}

.classictable tr.highlighted td, .classictable tr.highlighted th {
    background-color: #fbb450;
}

a.ignore-link {
    opacity: 0.9;
    font-style: italic;
}

.flexbox-h {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.flexbox-h > * {
    flex: 1;
}

.flexbox-h > .flexbox-1 {
    flex: 1;
}

.flexbox-h > .flexbox-2 {
    flex: 2;
}

.flexbox-h > .flexbox-3 {
    flex: 3;
}

.flexbox-h > .flexbox-4 {
    flex: 4;
}

.flexbox-h > .flexbox-5 {
    flex: 5;
}

.legendary {
    display: inline-block;
    margin: auto;
    padding: 3px;
}

details {
    padding: 8px;
}

details summary {
    cursor: pointer;
}

input[type="search"].tokenSearch {
    border-color: #0080c0;
    border-left-width: 7px;
}

ul.blocks {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: evenly;
}

ul.blocks li {
    list-style-type: none;
    list-style-position: inside;
    height: 100px;
    width: 220px;
    padding: 12px;
    margin: 4px;
    border: 1px solid #a0a0a0;
    border-radius: 6px;
}

.accessory-origin-e {
    color: #a09000;
}

.accessory-origin-s {
    color: #00aa00;
}

.accessory-origin-n {
    color: #aa0000;
}

.accessory-origin-r {
    color: #0000aa;
}

.accessory-origin-a {
    color: #00aaaa;
}
